Page MenuHomePhabricator

[nvptx] Only support the 'm' inline assembly memory constraint. NFC.
ClosedPublic

Authored by dsanders on Mar 10 2015, 9:55 AM.

Details

Summary

NVPTX doesn't seem to support any additional constraints. Therefore remove
the target hook.

No functional change intended. Depends on D8173.

Diff Detail

Event Timeline

dsanders updated this revision to Diff 21597.Mar 10 2015, 9:55 AM
dsanders retitled this revision from to [nvptx] Only support the 'm' inline assembly memory constraint. NFC..
dsanders updated this object.
dsanders edited the test plan for this revision. (Show Details)
dsanders added a reviewer: jholewinski.
dsanders added a subscriber: Unknown Object (MLST).

Ping.

The main thing I'm looking for is for is for someone with knowledge of the target to say whether they're aware of any supported constraints that this patch doesn't cover.

jholewinski accepted this revision.Jun 8 2015, 3:52 PM
jholewinski edited edge metadata.

Looks reasonable to me.

This revision is now accepted and ready to land.Jun 8 2015, 3:52 PM
dsanders closed this revision.Jun 9 2015, 3:38 AM